summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2016-07-27 20:37:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:56 +0700
commit785233d071ef477cf96d27fb2ec8c9baec0e19b1 (patch)
tree8838c235f31cb93d89f756559bd2fa2ca15d9ab8 /multimedia
parentf73644a0a3ea1c6dbfdc3c610617d23b394f1f24 (diff)
downloadslackbuilds-785233d071ef477cf96d27fb2ec8c9baec0e19b1.tar.gz
slackbuilds-785233d071ef477cf96d27fb2ec8c9baec0e19b1.tar.xz
multimedia/ctl: Added (colour transform language and ctlrender app).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/ctl/README24
-rw-r--r--multimedia/ctl/ctl.SlackBuild96
-rw-r--r--multimedia/ctl/ctl.info10
-rw-r--r--multimedia/ctl/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/multimedia/ctl/README b/multimedia/ctl/README
new file mode 100644
index 0000000000..ed1def5185
--- /dev/null
+++ b/multimedia/ctl/README
@@ -0,0 +1,24 @@
+The Color Transformation Language, or CTL, is a programming language
+for digital color management.
+
+Digital color management requires translating digital images between
+different representations or color spaces. The Color Transformation
+Language, or CTL, is a small programming language that was designed to
+serve as a building block for digital color management systems.
+
+CTL allows users to describe color transforms in a concise and unambiguous
+way by expressing them as programs. In order to apply a given
+transform to an image, the color management system instructs a CTL
+interpreter to load and run the CTL program that describes the
+transform. The original and the transformed image constitute the CTL
+program's input and output.
+
+Provides
+--------
+
+This package provides:
+
+* CTL libraries and the CTL interpreter CTL documentation sample CTL
+* applications utilizing IlmImfCtl the ctlrender application to use
+* CTL transforms on an image using one or more CTL scripts,
+ potentially converting the file format in the process
diff --git a/multimedia/ctl/ctl.SlackBuild b/multimedia/ctl/ctl.SlackBuild
new file mode 100644
index 0000000000..2b25a82f9e
--- /dev/null
+++ b/multimedia/ctl/ctl.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for ctl
+
+# Copyright 2016 Klaatu, Wellington NZ
+# All rights reserved.
+#
+
+PRGNAM=ctl
+VERSION=${VERSION:-1.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd CTL-"$PRGNAM"-"$VERSION"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PKG_CONFIG_PATH="$PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig:$PKG_CONFIG_PATH" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_CMAKE_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DINSTALL_LIB_DIR=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+
+ #brute force to conform to LIBDIRSUFFIX post facto
+ #installer as written hardcode some files to usr/lib
+ if [ -n "$LIBDIRSUFFIX" ]; then
+ mv $PKG/usr/lib/* $PKG/usr/lib${LIBDIRSUFFIX}
+ rmdir $PKG/usr/lib || false
+ fi
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS LICENSE CHANGELOG README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ctl/ctl.info b/multimedia/ctl/ctl.info
new file mode 100644
index 0000000000..5585c2ef99
--- /dev/null
+++ b/multimedia/ctl/ctl.info
@@ -0,0 +1,10 @@
+PRGNAM="ctl"
+VERSION="1.5.2"
+HOMEPAGE="https://github.com/ampas/CTL"
+DOWNLOAD="https://github.com/ampas/CTL/archive/ctl-1.5.2.tar.gz"
+MD5SUM="4796bf258d0c66d421c864996482f952"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="aces_container"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/multimedia/ctl/slack-desc b/multimedia/ctl/slack-desc
new file mode 100644
index 0000000000..bed1d54858
--- /dev/null
+++ b/multimedia/ctl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ctl: ctl (colour transform language and ctlrender application)
+ctl:
+ctl: CTL is a colour transform language to aid in colour space conversion
+ctl: provided by the Academy of Motion Picture Arts and Sciences (AMPAS).
+ctl:
+ctl: This package also provides 'ctlrender', a colour transformation
+ctl: application for the shell.
+ctl:
+ctl: https://github.com/ampas/CTL
+ctl:
+ctl: